## 项目规划


### 项目划分
- 总分支 master 
- 公共分支 common_dev
- 其他分支 参与项目的人每人创建一个已自己名字命名的分支，格式 dyy_dev

### 提交代码规范
- 为了便于项目的管理维护，参与者可以将自己的代码确保运行成功的前提下，提交到自己分支，然后每周往commo_dev
分支提交代码，负责人会将common_dev分支每周往master分支合并，参与者可每周一更新本地代码，确保自己的代码是最新的

### 项目分类及维护
- 项目围绕backend进行自动化测试，所以针对项目的分类以及命名，大家尽量以下面的规则维护

!![](.readme_images/项目all_backend_api命名规则.png)

![](.readme_images/test_case命名规则.png)

![](.readme_images/data命名规则.png)
- 下图是Charles的接口截图，文件夹分组以红框路径为一组
![](.readme_images/Charles参考截图.png)
### 项目文件的作用
- all_backend_api文件主要放backend请求接口的请求方法和请求参数
- in_common 文件主要放一些公用方法
- test_backend_case 文件主要针对接口请求的返回值做断言
- test_backend_data 文件主要放测试用例的case
- host.yaml 维护测试环境的配置文件
- path_setting.py 文件主要是配置yaml文件的读取路径
- run.py 统一执行入口




